FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Gentoo > Gentoo Development

 
 
LinkBack Thread Tools
 
Old 03-10-2009, 06:42 PM
Thomas Sachau
 
Default Maintainence of /usr/portage/skel.* and some updates for skel.ebuild

I would like to know, if there is some policy about editing skel.* files or who owns/maintains them.
Additionally, i suggest some changes to skel.ebuild:
-fix the comment for inherit (afaik $(getlibdir) is provided by multilib eclass)
-comment out the inherit line
-comment out DEPEND and RDEPEND
-remove the || die from econf
-comment out the complete src_compile

Since it seems like people change it at will and those are minor changes, i will do them in a few
days, if noone has a good reason against them.

--
Thomas Sachau

Gentoo Linux Developer
 
Old 03-14-2009, 10:07 AM
Petteri Räty
 
Default Maintainence of /usr/portage/skel.* and some updates for skel.ebuild

Thomas Sachau wrote:
> I would like to know, if there is some policy about editing skel.* files or who owns/maintains them.
> Additionally, i suggest some changes to skel.ebuild:
>

Posts diffs to gentoo-dev and if there are no objections --> commit.

Regards,
Petteri
 
Old 03-16-2009, 04:04 PM
Thomas Sachau
 
Default Maintainence of /usr/portage/skel.* and some updates for skel.ebuild

Petteri Räty schrieb:
> Thomas Sachau wrote:
>> I would like to know, if there is some policy about editing skel.* files or who owns/maintains them.
>> Additionally, i suggest some changes to skel.ebuild:
>>
>
> Posts diffs to gentoo-dev and if there are no objections --> commit.
>
> Regards,
> Petteri
>

ok, here my proposed diff for skel.ebuild

--
Thomas Sachau

Gentoo Linux Developer

--- skel.ebuild 2009-03-16 17:50:59.000000000 +0100
+++ skel.ebuild.new 2009-03-16 18:01:36.000000000 +0100
@@ -21,14 +21,14 @@

# inherit lists eclasses to inherit functions from. Almost all ebuilds should
# inherit eutils, as a large amount of important functionality has been
-# moved there. For example, the $(get_libdir) mentioned below wont work
+# moved there. For example, the epatch call mentioned below wont work
# without the following line:
inherit eutils
# A well-used example of an eclass function that needs eutils is epatch. If
# your source needs patches applied, it's suggested to put your patch in the
# 'files' directory and use:
#
-# epatch ${FILESDIR}/patch-name-here
+# epatch "${FILESDIR}"/patch-name-here
#
# eclasses tend to list descriptions of how to use their functions properly.
# take a look at /usr/portage/eclasses/ for more examples.
@@ -96,11 +96,14 @@
# had installed on your system when you tested the package. Then
# other users hopefully won't be caught without the right version of
# a dependency.
-DEPEND=""
+#DEPEND=""

# Run-time dependencies. Must be defined to whatever this depends on to run.
# The below is valid if the same run-time depends are required to compile.
-RDEPEND="${DEPEND}"
+# You only need to define this, if you have run-time dependencies or dont have
+# run-time dependencies, but compile time dependencies set in DEPEND (in this
+# case, it should be RDEPEND="").
+#RDEPEND="${DEPEND}"

# Source directory; the dir where the sources can be found (automatically
# unpacked) inside ${WORKDIR}. The default value for S is ${WORKDIR}/${P}
@@ -108,10 +111,13 @@
# to keep it tidy.
#S="${WORKDIR}/${P}"

-src_compile() {
+
+# The following src_compile function is implemented as default by portage, so
+# you only need to call it, if you need a different behaviour.
+#src_compile() {
# Most open-source packages use GNU autoconf for configuration.
- # The quickest (and preferred) way of running configure is:
- econf || die "econf failed"
+ # The default, quickest (and preferred) way of running configure is:
+ #econf
#
# You could use something similar to the following lines to
# configure your package before compilation. The "|| die" portion
@@ -135,8 +141,9 @@
# related to parallelism, in these cases, use emake -j1 to limit
# make to a single process. The -j1 is a visual clue to others
# that the makefiles have bugs that have been worked around.
- emake || die "emake failed"
-}
+
+ #emake || die "emake failed"
+#}

src_install() {
# You must *personally verify* that this trick doesn't install
 
Old 03-16-2009, 08:47 PM
"Marijn Schouten (hkBst)"
 
Default Maintainence of /usr/portage/skel.* and some updates for skel.ebuild

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Thomas Sachau wrote:
> Petteri Räty schrieb:
>> Thomas Sachau wrote:
>>> I would like to know, if there is some policy about editing skel.* files or who owns/maintains them.
>>> Additionally, i suggest some changes to skel.ebuild:
>>>
>> Posts diffs to gentoo-dev and if there are no objections --> commit.
>>
>> Regards,
>> Petteri
>>
>
> ok, here my proposed diff for skel.ebuild
>
>
# Run-time dependencies. Must be defined to whatever this depends on to run.
# The below is valid if the same run-time depends are required to compile.
- -RDEPEND="${DEPEND}"
+# You only need to define this, if you have run-time dependencies or dont have
+# run-time dependencies, but compile time dependencies set in DEPEND (in this
+# case, it should be RDEPEND="").
+#RDEPEND="${DEPEND}"

Why not make it simple and require RDEPEND to be defined?

Marijn

- --
Gods do not want you to think, lest they lose existence.
Religions do not want you to think, lest they lose power.

Marijn Schouten (hkBst), Gentoo Lisp project, Gentoo ML
<http://www.gentoo.org/proj/en/lisp/>, #gentoo-{lisp,ml} on FreeNode
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.10 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iEYEARECAAYFAkm+yQkACgkQp/VmCx0OL2yXGwCgkaV9tQMuJg+A3VLjwHnCEQV2
KOcAoJ5yn+ZEEu8mZqXf5LwWWLEMb5yE
=Hpvn
-----END PGP SIGNATURE-----
 
Old 03-16-2009, 10:37 PM
"Jorge Manuel B. S. Vicetto"
 
Default Maintainence of /usr/portage/skel.* and some updates for skel.ebuild

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Marijn Schouten (hkBst) wrote:
> Thomas Sachau wrote:
>> Petteri Räty schrieb:
>>> Thomas Sachau wrote:
>>>> I would like to know, if there is some policy about editing skel.* files or who owns/maintains them.
>>>> Additionally, i suggest some changes to skel.ebuild:
>>>>
>>> Posts diffs to gentoo-dev and if there are no objections --> commit.
>>>
>>> Regards,
>>> Petteri
>>>
>> ok, here my proposed diff for skel.ebuild
>
>
> # Run-time dependencies. Must be defined to whatever this depends on to run.
> # The below is valid if the same run-time depends are required to compile.
> -RDEPEND="${DEPEND}"
> +# You only need to define this, if you have run-time dependencies or dont have
> +# run-time dependencies, but compile time dependencies set in DEPEND (in this
> +# case, it should be RDEPEND="").
> +#RDEPEND="${DEPEND}"
>
> Why not make it simple and require RDEPEND to be defined?
>
> Marijn
>

Well, the current proposal for EAPI-3 includes killing the
RDEPEND=${DEPEND} default behaviour, so this section should be left
alone, imo.

- --
Regards,

Jorge Vicetto (jmbsvicetto) - jmbsvicetto at gentoo dot org
Gentoo- forums / Userrel / Devrel / SPARC / KDE
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.10 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iEYEARECAAYFAkm+4p0ACgkQcAWygvVEyALXcACgmsLk9yme1G I+XUoJTUGVy3H0
ssIAoJQ7Mml3VvNBSOktrU+x7XyzPDNh
=lJ9G
-----END PGP SIGNATURE-----
 

Thread Tools




All times are GMT. The time now is 06:58 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright ©2007 - 2008, www.linux-archive.org